%define         realname DBIx-Safe
Name:           perl-DBIx-Safe
Version:        1.2.5
Release:        4%{?dist}
Summary:        Safer access to your database through a DBI database handle
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBIx-Safe/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TU/TURNSTEP/%{realname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker) 
BuildRequires:  perl(DBD::Pg)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple)

%description
The purpose of this module is to give controlled, limited access to an
application, rather than simply passing it a raw database handle through
DBI. DBIx::Safe acts as a wrapper to the database, by only allowing
through the commands you tell it to. It filters all things related to
the database handle - methods and attributes.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/* 

%check
# note this test suite is noisy! :-)
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes  INSTALL  LICENSE  README TODO SIGNATURE t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jan 29 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 1.2.5-4
- include make test in %%check section

* Mon Jan 29 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 1.2.5-3
- include %%{_fixperms} %%{buildroot}/* after %%install section, replace tab to space in spec.

* Mon Jan 26 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 1.2.5-2
- fix from BZ #481528  Comment #1
- fix source url
- Fix license tag (BSD)
- Include all BR's needed DBD::Pg, DBI, Test::More , Test::Simple

* Sun Jan 25 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 1.2.5-1
- Initial RPM release

